<?php
/*
  $Id: auction_upload.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_FUNCTIONS . 'formatter.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();  

  require(DIR_WS_CLASSES . 'auction_helper.php');
  $auctionHelper = new auctionHelper();

  require(DIR_WS_CLASSES . 'auction_listings.php');
  $auctionListings = new auctionListings();
  
  require(DIR_WS_CLASSES . 'auction_constants.php');
  $auctionConstants = new auctionConstants();
  
  $listingTypes = $auctionConstants->getListingTypesShort();
      
    switch ($_REQUEST['perform']) {
    case 'DeleteConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
      	 $auctionListings->removeByID($oID);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('oID', 'action'))));
      break;
	  
	case 'DownloadListingsConfirm':
	  require(DIR_WS_CLASSES . 'auction_api.php');
	  $request = new auctionAPI();
	  $response = $request->downloadListings();
	  if(substr($response['code'], 0, 5) === 'error') {
          $messageStack->add_session($response['message'], 'error');	  
      } else {
          $messageStack->add_session($response['message'], 'success');
	  }
      tep_redirect(tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('oID', 'action'))));
      break;
	}


  $auction_split;// = new splitPageResults();

	$auctionHouses = array();
    $auction_houses_query = tep_db_query("select auction_house_id, auction_house_label, auction_item_url from " . TABLE_AUCTION_HOUSES);
	while ($auction_house = tep_db_fetch_array($auction_houses_query))
	{
	    $auctionHouses[$auction_house['auction_house_id']] =
								 array('id' => $auction_house['auction_house_id'],
  			            	           'text' => $auction_house['auction_house_label'],
									   'url' => $auction_house['auction_item_url']);	
	}
	
	$productMappings = array();
    $mappings_raw = "select pm.auction_product_matcher_id as id, ah.auction_house_label, pm.ext_title, pd.products_name from " . TABLE_AUCTION_PRODUCT_MATCHER . " pm, " . TABLE_AUCTION_HOUSES . " ah, " . TABLE_PRODUCTS_DESCRIPTION . " pd where pm.auction_house_id = ah.auction_house_id and pm.products_id = pd.products_id and pd.language_id = '" . $languages_id . "' order by pd.products_name";
    $mappings_query = tep_db_query($mappings_raw);
	while ($product = tep_db_fetch_array($mappings_query))
	{
		$productMappings[$product['ext_title']] =
								 array('id' => $product['id'],
  			            	           'name' => $product['products_name']);			
	}
  
/*	$products_query = tep_db_query("select pd.products_id, pd.products_name from " . TABLE_PRODUCTS_DESCRIPTION . " pd where pd.language_id = '" . $languages_id . "' order by pd.products_name");			
	while ($product = tep_db_fetch_array($products_query))
	{
	    $products[$product['products_id']] = $product['products_name'];
	}
	*/
	
  //added for search function  
  $searchterms=array(
			array('id'=>"ext_title",'text'=>'Auction Title'),
			array('id'=>"ext_id",'text'=>'Auction ID'),
			array('id'=>"type",'text'=>'Auction Type'));

  if(isset($HTTP_GET_VARS['searchname']))
  {
	  $search = array(
  				"name" => $HTTP_GET_VARS['searchname'], 
				"value" => $HTTP_GET_VARS['searchvalue']);
  }

  if(isset($HTTP_GET_VARS['sortname']))
  {
	  $sort = array(
  				"name" => $HTTP_GET_VARS['sortname'], 
				"value" => $HTTP_GET_VARS['sortvalue']);
  }
  
  if($HTTP_GET_VARS['sortvalue'] == "desc") 
  {
  	$arrow_filename = "arrow_up_selected.gif";
	$next_array = "asc";
  }
  else
  {
    $arrow_filename = "arrow_down_selected.gif";
	$next_array = "desc";
  }

  
 
  $oInfo = null;

  switch($HTTP_GET_VARS['status'])
  {
  	case 'PENDING':  
  		$listings = $auctionListings->getPendingItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  		break;
  
  	case 'ACTIVE':  
  		$listings = $auctionListings->getActiveItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  		break;

  	case 'ENDED': 
  		$listings = $auctionListings->getEndedItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  		break;

  	case 'SOLD': 
  		$listings = $auctionListings->getSoldItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  		break;

  	case 'UNSOLD': 
  		$listings = $auctionListings->getUnsoldItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  		break;

  	case 'ALL': 
	  	$listings = $auctionListings->getAllItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  		break;

  } // switch
  
  // fail-safe  
  if( !isset($HTTP_GET_VARS['status']))
  {
  	$listings = $auctionListings->getAllItems($HTTP_GET_VARS['page'], $auction_split, $search, $sort);
  }
  
   $checkAll = (isset($HTTP_GET_VARS['check']) ? $HTTP_GET_VARS['check'] : 'false');
  
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript">
	function submit_form(perform)
	{
		//alert(perform);
		document.forms['listings'].perform.value = perform;
		document.forms['listings'].submit();
		return false;
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE . ' - ' . $HTTP_GET_VARS['status']; ?></td>
            <td class="smallText" align="right"><?php $auctionHelper->drawSearchForm(FILENAME_AUCTION_LISTING, $searchterms); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td>
			<?php echo tep_draw_form("listings", FILENAME_AUCTION_LISTING, tep_get_all_get_params()) ?>
			<?php echo tep_draw_hidden_field("perform", "nothing") ?>
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
	  
                <td class="dataTableHeadingContent" align="center">
<? 					if ($checkAll == 'true')
					{ echo '<a href="' . tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('check')) . 'check=false') . '">--</a>'; }
					else
					{ echo '<a href="' . tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('check')) . 'check=true') . '">X</a>'; }
					
?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_LISTING, HEADING_AUCTION_TITLE, "ext_title"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_LISTING, HEADING_AUCTION_SITE, "site"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_LISTING, HEADING_AUCTION_TYPE, "listing_type"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_LISTING, HEADING_AUCTION_PRICE_END, "end_price"); ?>
				</td>
	            <td class="dataTableHeadingContent" align="center">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_LISTING, HEADING_AUCTION_END_DATE, "end_time"); ?>
				</td>
        	    <td class="dataTableHeadingContent" align="center"><?php echo HEADING_AUCTION_QTY_SOLD; ?></td>
	            <td class="dataTableHeadingContent" align="right">
				   <?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_LISTING, HEADING_AUCTION_FEE, "listing_fee"); ?>
				</td>
        	    <td class="dataTableHeadingContent" align="center"><?php echo HEADING_AUCTION_PRODUCT_MAPPING; ?></td>
        	    <td class="dataTableHeadingContent" align="center"><?php echo HEADING_AUCTION_LAST_DOWNLOADED; ?></td>
            	<td class="dataTableHeadingContent" align="right">&nbsp;</td>
			  </tr>
			  
<?php
    for ($i = 0, $n = sizeof($listings); $i < $n; $i++) {

    if($HTTP_GET_VARS['oID'] == $listings[$i]->ID) {
      echo '          <tr class="dataTableRowSelected">' . "\n";
    } else {
      echo '          <tr class="dataTableRow">' . "\n";
    }	

      echo '            <td class="dataTableContent" valign="top">';
	  if ($checkAll == 'true')
	  { echo tep_draw_checkbox_field('oID-' . $listings[$i]->ID,'',true) . '</td>'; }
	  else
	  { echo tep_draw_checkbox_field('oID-' . $listings[$i]->ID) . '</td>'; }

      echo '            <td class="dataTableContent" valign="top">' .
		   '              <a target="_blank" href="' . sprintf($auctionHouses[$listings[$i]->auctionHouseID]['url'], $listings[$i]->extID) . '">' . 
		                    $listings[$i]->extTitle . '<br/>' . $listings[$i]->extID . '</a>' .
		   '            </td>' . "\n" .	  
           '            <td class="dataTableContent" valign="top" align="center">' . $listings[$i]->site . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top" align="center">' . $listingTypes[$listings[$i]->type] . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top" align="right">' . $currencies->format($listings[$i]->priceEnd) . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top" align="right">' . gmt_date_to_local_pretty_format($listings[$i]->timeEnd) . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top" align="center">' . $listings[$i]->qtySold . '&nbsp;/&nbsp;' . $listings[$i]->qty . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top" align="right">' . $currencies->format($listings[$i]->fee) . '</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $productMappings[$listings[$i]->extTitle]['name'] . '</td>' . "\n"  .
           '            <td class="dataTableContent" valign="top">' . $listings[$i]->lastDownloaded . '</td>' . "\n" ;
	


      echo '            <td class="dataTableContent" align="right">';

  	  // if no row is set, then select the top row
	  if($HTTP_GET_VARS['oID'] == null)
	  {
	  	$HTTP_GET_VARS['oID'] = $listings[$i]->ID;
	  }
	  
	  if($HTTP_GET_VARS['oID'] == $listings[$i]->ID)
	  { 
	  	echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); 
	  }
	  else
	  {
	    echo '<a href="' . tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('oID')) . 'oID=' . $auction_listings[$i]['id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; 
	  }
	  echo '&nbsp;</td>';
	  echo '</tr>';
		   


//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['price'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['qty'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['insurance'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['shipping'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . tep_display_tax_value($auction_listings[$i]['tax']) . '%</td>'  . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['products_id'] . '</td>' . "\n";
//
		   

//           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];   echo '            </td>' . "\n" .
//           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']), true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n";

    }
?>	
              <tr>
              </tr>	  
                </table>
                <table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $auction_split->display_count_ex(TEXT_DISPLAY_NUMBER_OF_AUCTIONS); ?></td>
                    <td class="smallText" align="right"><?php echo $auction_split->display_links_ex(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y', 'oID'))); ?></td>
                  </tr>
                </table>				
				</td>
				
				
<?php

  $heading = array();
  $contents = array();
  
  switch ($_REQUEST['perform']) {
    case 'DeleteItems':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_ITEMS . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_DELETE_ITEMS, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('DeleteConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    case 'DownloadListings':
      $affectedItems = array();
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DOWNLOAD_LISTINGS . '</b>');

      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('DownloadListingsConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_LISTING, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
	  
    default:
	    $heading[] = array('text' => '&nbsp;');
        $contents[] = array('align' => 'left', 'text' => '<br/><br/><b>Bulk Action (Checked Items)</b>');

        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DeleteItems');\">Delete Items</a>");
        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DownloadListings');\">Download Listings</a>");
		
		break;
   }
		
      
		//$products = array();
		//$products_query_raw = "select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = " . $oInfo->product_id;
		//$products_query = tep_db_query($products_query_raw);
		//$product = tep_db_fetch_array($products_query);
		
	  	
//        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_invoice.gif', IMAGE_ORDERS_INVOICE) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_packingslip.gif', IMAGE_ORDERS_PACKINGSLIP) . '</a>');
//        $contents[] = array('text' => '<br>' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
//        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
//        $contents[] = array('text' => '<br>' . TEXT_INFO_PAYMENT_METHOD . ' '  . $oInfo->payment_method);


  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
  
?>
          </tr>
        </table>
		</td>
      </tr>
    </table></td>
	</form>
	
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php
    require(DIR_WS_INCLUDES . 'footer.php');
?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
